package com.alibaba.druid.sql.dialect.mysql.ast.expr;

import com.alibaba.druid.sql.ast.SQLCommentHint;
import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.dialect.mysql.ast.MySqlObjectImpl;

public abstract class MySqlExprImpl extends MySqlObjectImpl implements SQLExpr {
   protected SQLCommentHint hint;

   public SQLExpr clone() {
      throw new UnsupportedOperationException();
   }

   public SQLCommentHint getHint() {
      return this.hint;
   }

   public void setHint(SQLCommentHint hint) {
      this.hint = hint;
   }
}
